Skip to Main Content

ORDS, SODA & JSON in the Database

Announcement

For appeals, questions and feedback, please email oracle-forums_moderators_us@oracle.com

ORDS 23.4 on AIX 7.3 with JDK 11

m.schroederMar 13 2024

Hi there,

i'm trying to install and run ORDS 23.4 in standalone mode an a AIX 7.3 machine where a 19c DB is installed. When trying to run any ords command it does not return a java version string at all:

> ords --version

i always get:

Error: ORDS requires Java 11 and above to run.
       Found Java version .
       Please set JAVA_HOME to appropriate version and update PATH if necessary.

$JAVA_HOME and $PATH are set:

> echo $JAVA_HOME
/usr/java11

> echo $PATH
/u01/ords/bin:/usr/java11/bin:/usr/vacpp/bin:/opt/csw/cups/bin:/usr/local/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:.:/usr/ccs/bin:/usr/X/bin

> which java
/usr/java11/bin/java

> java -version
java version "11.0.20.1" 2023-08-24
IBM Semeru Runtime Certified Edition 11.0.20.1 (build 11.0.20.1+1)
Eclipse OpenJ9 VM 11.0.20.1 (build openj9-0.40.0, JRE 11 AIX ppc64-64-Bit Compressed References 20230824_644 (JIT enabled, AOT enabled)
OpenJ9   - d12d10c9e
OMR      - e80bff83b
JCL      - 05bb8ef4fa based on jdk-11.0.20.1+1)

I also tried using a symlink as follows:

cd /u01/ords
ln -s /usr/java11 jre

But this doesnt work either, i get the same error.

Is this an error with the ords script on AIX as it doesnt even show any Java version string in the error message or is this JDK version not compatible?

Thanks for any input.

Regards, Mathias

This post has been answered by thatJeffSmith-Oracle on Mar 13 2024
Jump to Answer
Comments
Post Details
Added on Mar 13 2024
3 comments
145 views